diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ss-record.h ns-3.44/src/wimax/model/ss-record.h
--- ns-3.43/src/wimax/model/ss-record.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/ss-record.h	2025-03-09 16:55:49.819372700 -0700
@@ -27,8 +27,8 @@
 class ServiceFlow;
 
 /**
- * \ingroup wimax
- * \brief This class is used by the base station to store some information related to subscriber
+ * @ingroup wimax
+ * @brief This class is used by the base station to store some information related to subscriber
  * station in the cell.
  */
 class SSRecord
@@ -38,54 +38,54 @@
     /**
      * Constructor
      *
-     * \param macAddress MAC address
+     * @param macAddress MAC address
      */
     SSRecord(Mac48Address macAddress);
     /**
      * Constructor
      *
-     * \param macAddress MAC address
-     * \param IPaddress IP address
+     * @param macAddress MAC address
+     * @param IPaddress IP address
      */
     SSRecord(Mac48Address macAddress, Ipv4Address IPaddress);
     ~SSRecord();
 
     /**
      * Set basic CID
-     * \param basicCid the basic CID
+     * @param basicCid the basic CID
      */
     void SetBasicCid(Cid basicCid);
     /**
      * Get basic CID
-     * \returns the basic CID
+     * @returns the basic CID
      */
     Cid GetBasicCid() const;
 
     /**
      * Set primary CID
-     * \param primaryCid priamry CID
+     * @param primaryCid priamry CID
      */
     void SetPrimaryCid(Cid primaryCid);
     /**
      * Get primary CID
-     * \returns the CID
+     * @returns the CID
      */
     Cid GetPrimaryCid() const;
 
     /**
      * Set MAC address
-     * \param macAddress the MAC address
+     * @param macAddress the MAC address
      */
     void SetMacAddress(Mac48Address macAddress);
     /**
      * Get MAC address
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetMacAddress() const;
 
     /**
      * Get ranging correction retries
-     * \returns the ranging correction retries
+     * @returns the ranging correction retries
      */
     uint8_t GetRangingCorrectionRetries() const;
     /// Reset ranging correction retries
@@ -94,7 +94,7 @@
     void IncrementRangingCorrectionRetries();
     /**
      * Get invited range retries
-     * \returns the invited range retries
+     * @returns the invited range retries
      */
     uint8_t GetInvitedRangRetries() const;
     /// Reset invited ranging retries
@@ -103,23 +103,23 @@
     void IncrementInvitedRangingRetries();
     /**
      * Set modulation type
-     * \param modulationType the modulation type
+     * @param modulationType the modulation type
      */
     void SetModulationType(WimaxPhy::ModulationType modulationType);
     /**
      * Get modulation type
-     * \returns the modulation type
+     * @returns the modulation type
      */
     WimaxPhy::ModulationType GetModulationType() const;
 
     /**
      * Set ranging status
-     * \param rangingStatus the ranging status
+     * @param rangingStatus the ranging status
      */
     void SetRangingStatus(WimaxNetDevice::RangingStatus rangingStatus);
     /**
      * Get ranging status
-     * \returns the ranging status
+     * @returns the ranging status
      */
     WimaxNetDevice::RangingStatus GetRangingStatus() const;
 
@@ -129,117 +129,117 @@
     void DisablePollForRanging();
     /**
      * Get poll for ranging
-     * \returns the poll for ranging flag
+     * @returns the poll for ranging flag
      */
     bool GetPollForRanging() const;
 
     /**
      * Check if service flows are allocated
-     * \returns true if service flows are allocated
+     * @returns true if service flows are allocated
      */
     bool GetAreServiceFlowsAllocated() const;
 
     /**
      * Set poll ME bit
-     * \param pollMeBit the poll me bit
+     * @param pollMeBit the poll me bit
      */
     void SetPollMeBit(bool pollMeBit);
     /**
      * Get poll ME bit
-     * \returns the poll me bit
+     * @returns the poll me bit
      */
     bool GetPollMeBit() const;
 
     /**
      * Add service flow
-     * \param serviceFlow the service flow
+     * @param serviceFlow the service flow
      */
     void AddServiceFlow(ServiceFlow* serviceFlow);
     /**
      * Get service flows
-     * \param schedulingType the scheduling type
-     * \returns the service flow
+     * @param schedulingType the scheduling type
+     * @returns the service flow
      */
     std::vector<ServiceFlow*> GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const;
     /**
      * Check if at least one flow has scheduling type SF_TYPE_UGS
-     * \return true if at least one flow has scheduling type SF_TYPE_UGS
+     * @return true if at least one flow has scheduling type SF_TYPE_UGS
      */
     bool GetHasServiceFlowUgs() const;
     /**
      * Check if at least one flow has scheduling type SF_TYPE_RTPS
-     * \return true if at least one flow has scheduling type SF_TYPE_RTPS
+     * @return true if at least one flow has scheduling type SF_TYPE_RTPS
      */
     bool GetHasServiceFlowRtps() const;
     /**
      * Check if at least one flow has scheduling type SF_TYPE_NRTPS
-     * \return true if at least one flow has scheduling type SF_TYPE_NRTPS
+     * @return true if at least one flow has scheduling type SF_TYPE_NRTPS
      */
     bool GetHasServiceFlowNrtps() const;
     /**
      * Check if at least one flow has scheduling type SF_TYPE_BE
-     * \return true if at least one flow has scheduling type SF_TYPE_BE
+     * @return true if at least one flow has scheduling type SF_TYPE_BE
      */
     bool GetHasServiceFlowBe() const;
 
     /**
      * Set SF transaction ID
-     * \param sfTransactionId the SF transaction ID
+     * @param sfTransactionId the SF transaction ID
      */
     void SetSfTransactionId(uint16_t sfTransactionId);
     /**
      * Get SF transaction ID
-     * \returns the SF transaction ID
+     * @returns the SF transaction ID
      */
     uint16_t GetSfTransactionId() const;
 
     /**
      * Set DSA response retries
-     * \param dsaRspRetries the DSA response retries
+     * @param dsaRspRetries the DSA response retries
      */
     void SetDsaRspRetries(uint8_t dsaRspRetries);
     /// Increment DAS response retries
     void IncrementDsaRspRetries();
     /**
      * Get DSA response retries
-     * \returns the DSA response retries
+     * @returns the DSA response retries
      */
     uint8_t GetDsaRspRetries() const;
 
     /**
      * Set DSA response
-     * \param dsaRsp the DSA response
+     * @param dsaRsp the DSA response
      */
     void SetDsaRsp(DsaRsp dsaRsp);
     /**
      * Get DSA response
-     * \returns the DSA response
+     * @returns the DSA response
      */
     DsaRsp GetDsaRsp() const;
     /**
      * Set is broadcast SS
-     * \param broadcast_enable the broadcast enable flag
+     * @param broadcast_enable the broadcast enable flag
      */
     void SetIsBroadcastSS(bool broadcast_enable);
     /**
      * Get is broadcast SS
-     * \returns the is broadcast SS flag
+     * @returns the is broadcast SS flag
      */
     bool GetIsBroadcastSS() const;
 
     /**
      * Get IP address
-     * \returns the IP address
+     * @returns the IP address
      */
     Ipv4Address GetIPAddress();
     /**
      * Set IP address
-     * \param IPaddress the IP address
+     * @param IPaddress the IP address
      */
     void SetIPAddress(Ipv4Address IPaddress);
     /**
      * Set are service flows allocated
-     * \param val the service flows allocated flag
+     * @param val the service flows allocated flag
      */
     void SetAreServiceFlowsAllocated(bool val);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ss-scheduler.h ns-3.44/src/wimax/model/ss-scheduler.h
--- ns-3.43/src/wimax/model/ss-scheduler.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/ss-scheduler.h	2025-03-09 16:55:49.819372700 -0700
@@ -26,21 +26,21 @@
 class WimaxConnection;
 
 /**
- * \ingroup wimax
- * \param SSScheduler class
+ * @ingroup wimax
+ * @param SSScheduler class
  */
 class SSScheduler : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
      * Constructor
      *
-     * \param ss subscriber station device
+     * @param ss subscriber station device
      */
     SSScheduler(Ptr<SubscriberStationNetDevice> ss);
     ~SSScheduler() override;
@@ -51,20 +51,20 @@
 
     /**
      * Set poll me value
-     * \param pollMe the poll me flag
+     * @param pollMe the poll me flag
      */
     void SetPollMe(bool pollMe);
     /**
      * Get the poll me value
-     * \returns the poll me flag
+     * @returns the poll me flag
      */
     bool GetPollMe() const;
     /**
-     * \return a list of packet to be sent in the next opportunity
-     * \param availableSymbols the available resources in symbols
-     * \param modulationType the used modulation
-     * \param packetType the type of packets to select from
-     * \param connection the connection from which packets will be selected
+     * @return a list of packet to be sent in the next opportunity
+     * @param availableSymbols the available resources in symbols
+     * @param modulationType the used modulation
+     * @param packetType the type of packets to select from
+     * @param connection the connection from which packets will be selected
      */
     Ptr<PacketBurst> Schedule(uint16_t availableSymbols,
                               WimaxPhy::ModulationType modulationType,
@@ -76,7 +76,7 @@
   private:
     /**
      * Select connection
-     * \returns pointer to the wimax connection
+     * @returns pointer to the wimax connection
      */
     Ptr<WimaxConnection> SelectConnection();
     Ptr<SubscriberStationNetDevice> m_ss; ///< the subscriber station
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ss-service-flow-manager.h ns-3.44/src/wimax/model/ss-service-flow-manager.h
--- ns-3.43/src/wimax/model/ss-service-flow-manager.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/ss-service-flow-manager.h	2025-03-09 16:55:49.819372700 -0700
@@ -28,8 +28,8 @@
 class SubscriberStationNetDevice;
 
 /**
- * \ingroup wimax
- * \brief SsServiceFlowManager class
+ * @ingroup wimax
+ * @brief SsServiceFlowManager class
  */
 class SsServiceFlowManager : public ServiceFlowManager
 {
@@ -46,7 +46,7 @@
      *
      * Creates a service flow manager and attaches it to a device
      *
-     * \param device the device to which the service flow manager will be attached
+     * @param device the device to which the service flow manager will be attached
      */
     SsServiceFlowManager(Ptr<SubscriberStationNetDevice> device);
     ~SsServiceFlowManager() override;
@@ -54,38 +54,38 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief add a service flow to the list
-     * \param serviceFlow the service flow to add
+     * @brief add a service flow to the list
+     * @param serviceFlow the service flow to add
      */
     void AddServiceFlow(ServiceFlow* serviceFlow);
     /**
-     * \brief add a service flow to the list
-     * \param serviceFlow the service flow to add
+     * @brief add a service flow to the list
+     * @param serviceFlow the service flow to add
      */
     void AddServiceFlow(ServiceFlow serviceFlow);
     /**
-     * \brief sets the maximum retries on DSA request message
-     * \param maxDsaReqRetries the maximum retries on DSA request message
+     * @brief sets the maximum retries on DSA request message
+     * @param maxDsaReqRetries the maximum retries on DSA request message
      */
     void SetMaxDsaReqRetries(uint8_t maxDsaReqRetries);
     /**
-     * \return the maximum retries on DSA request message
+     * @return the maximum retries on DSA request message
      */
     uint8_t GetMaxDsaReqRetries() const;
 
     /**
      * Get DSA response timeout event
-     * \returns the DSA response timeout event
+     * @returns the DSA response timeout event
      */
     EventId GetDsaRspTimeoutEvent() const;
     /**
      * Get DSA ack timeout event
-     * \returns the DSA ack timeout event
+     * @returns the DSA ack timeout event
      */
     EventId GetDsaAckTimeoutEvent() const;
 
@@ -94,26 +94,26 @@
 
     /**
      * Create DSA request
-     * \param serviceFlow the service flow
-     * \returns the DSA request
+     * @param serviceFlow the service flow
+     * @returns the DSA request
      */
     DsaReq CreateDsaReq(const ServiceFlow* serviceFlow);
 
     /**
      * Create DSA ack
-     * \returns the packet
+     * @returns the packet
      */
     Ptr<Packet> CreateDsaAck();
 
     /**
      * Schedule DSA response
-     * \param serviceFlow the service flow
+     * @param serviceFlow the service flow
      */
     void ScheduleDsaReq(const ServiceFlow* serviceFlow);
 
     /**
      * Process DSA response
-     * \param dsaRsp the DSA response
+     * @param dsaRsp the DSA response
      */
     void ProcessDsaRsp(const DsaRsp& dsaRsp);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ul-job.cc ns-3.44/src/wimax/model/ul-job.cc
--- ns-3.43/src/wimax/model/ul-job.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/ul-job.cc	2025-03-09 16:55:49.819372700 -0700
@@ -15,7 +15,7 @@
 {
 
 UlJob::UlJob()
-    : m_deadline(Seconds(0)),
+    : m_deadline(),
       m_size(0)
 {
 }
@@ -121,10 +121,10 @@
 }
 
 /**
- * \brief equality operator
- * \param a first ULJob
- * \param b second ULJob
- * \returns true if equal
+ * @brief equality operator
+ * @param a first ULJob
+ * @param b second ULJob
+ * @returns true if equal
  */
 bool
 operator==(const UlJob& a, const UlJob& b)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ul-job.h ns-3.44/src/wimax/model/ul-job.h
--- ns-3.43/src/wimax/model/ul-job.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/ul-job.h	2025-03-09 16:55:49.819372700 -0700
@@ -32,8 +32,8 @@
 };
 
 /**
- * \ingroup wimax
- * \brief this class implements a structure to compute the priority of service flows
+ * @ingroup wimax
+ * @brief this class implements a structure to compute the priority of service flows
  */
 class UlJob : public Object
 {
@@ -50,87 +50,87 @@
     ~UlJob() override;
     /**
      * Get SS record
-     * \returns the SS record
+     * @returns the SS record
      */
     SSRecord* GetSsRecord() const;
     /**
      * Set SS record
-     * \param ssRecord the SS record
+     * @param ssRecord the SS record
      */
     void SetSsRecord(SSRecord* ssRecord);
     /**
      * Get scheduling type
-     * \returns the scheduling type
+     * @returns the scheduling type
      */
     ServiceFlow::SchedulingType GetSchedulingType() const;
     /**
      * Set scheduling type
-     * \param schedulingType the scheduling type
+     * @param schedulingType the scheduling type
      */
     void SetSchedulingType(ServiceFlow::SchedulingType schedulingType);
     /**
      * Get service flow
-     * \returns the service flow
+     * @returns the service flow
      */
     ServiceFlow* GetServiceFlow() const;
     /**
      * Set service flow
-     * \param serviceFlow
+     * @param serviceFlow
      */
     void SetServiceFlow(ServiceFlow* serviceFlow);
 
     /**
      * Get type
-     * \returns the request type
+     * @returns the request type
      */
     ReqType GetType() const;
     /**
      * Set type
-     * \param type the type
+     * @param type the type
      */
     void SetType(ReqType type);
 
     /**
      * Get release time
-     * \returns the release time
+     * @returns the release time
      */
     Time GetReleaseTime() const;
     /**
      * Set release time
-     * \param releaseTime the release time
+     * @param releaseTime the release time
      */
     void SetReleaseTime(Time releaseTime);
 
     /**
      * Get period
-     * \returns the period time
+     * @returns the period time
      */
     Time GetPeriod() const;
     /**
      * Set period
-     * \param period the period
+     * @param period the period
      */
     void SetPeriod(Time period);
 
     /**
      * Get deadline
-     * \returns the deadline time
+     * @returns the deadline time
      */
     Time GetDeadline() const;
     /**
      * Set deadline
-     * \param deadline the dead line
+     * @param deadline the dead line
      */
     void SetDeadline(Time deadline);
 
     /**
      * Get size
-     * \returns the size
+     * @returns the size
      */
     uint32_t GetSize() const;
     /**
      * Set size
-     * \param size the size
+     * @param size the size
      */
     void SetSize(uint32_t size);
 
@@ -156,30 +156,30 @@
 class PriorityUlJob : public Object
 {
     /**
-     * \brief this class implements an auxiliary struct to compute the priority of the rtPS and
+     * @brief this class implements an auxiliary struct to compute the priority of the rtPS and
      * nrtPS in the intermediate queue
      */
   public:
     PriorityUlJob();
     /**
      * Get priority
-     * \returns the priority
+     * @returns the priority
      */
     int GetPriority() const;
     /**
      * Set priority
-     * \param priority the priority
+     * @param priority the priority
      */
     void SetPriority(int priority);
 
     /**
      * Get UL job function
-     * \returns the UL job
+     * @returns the UL job
      */
     Ptr<UlJob> GetUlJob() const;
     /**
      * Set UL job
-     * \param job the UL job
+     * @param job the UL job
      */
     void SetUlJob(Ptr<UlJob> job);
 
@@ -192,10 +192,10 @@
 struct SortProcess
 {
     /**
-     * \brief comparison operator
-     * \param left left side input
-     * \param right right side input
-     * \returns true if left is logically less then right for given comparison
+     * @brief comparison operator
+     * @param left left side input
+     * @param right right side input
+     * @returns true if left is logically less then right for given comparison
      */
     bool operator()(PriorityUlJob& left, PriorityUlJob& right) const
     {
@@ -222,10 +222,10 @@
 struct SortProcessPtr
 {
     /**
-     * \brief comparison operator
-     * \param left left side input
-     * \param right right side input
-     * \returns true if left is logically less then right for given comparison
+     * @brief comparison operator
+     * @param left left side input
+     * @param right right side input
+     * @returns true if left is logically less then right for given comparison
      */
     bool operator()(Ptr<PriorityUlJob>& left, Ptr<PriorityUlJob>& right) const
     {
